AbstractGriffonController (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractGriffonController

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.griffon.runtime.core.AbstractGriffonArtifact
              org.codehaus.griffon.runtime.core.AbstractGriffonMvcArtifact
                  org.codehaus.griffon.runtime.core.AbstractGriffonController

All Implemented Interfaces:
  GriffonController

    public abstract class AbstractGriffonController
    extends AbstractGriffonMvcArtifact

Base implementation of the GriffonController interface.

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary

Fields inherited from class AbstractGriffonArtifact
app, log, resourceLocator

Constructor Summary
`AbstractGriffonController()`

Method Summary
`protected String` | `getArtifactType()`

Methods inherited from class AbstractGriffonMvcArtifact
mvcGroupDestroy, mvcGroupInit

Methods inherited from class AbstractGriffonArtifact
buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, getApp, getArtifactType, getGriffonClass, getLog, getMetaClass, getResourceAsStream, getResourceAsURL, getResources, isUIThread, metaClassOf, newInstance, setApp, setMetaClass, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AbstractGriffonController

    AbstractGriffonController()

Method Detail

### getArtifactType

    protected String getArtifactType()

Groovy Documentation